Bug 626524 - reboot test counts time waiting at prompt in reboot time
reboot test counts time waiting at prompt in reboot time
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
chen yuwen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 14:20 EDT by Greg Nichols
Modified: 2010-09-21 07:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The reboot test marks the start time of a reboot after the user has responded to the prompt.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-20 08:15:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reboot test patch changing reboot start time to follow prompt. (3.14 KB, patch)
2010-08-23 15:26 EDT, Greg Nichols
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0702 normal SHIPPED_LIVE v7 bug fix and enhancement update 2010-10-21 03:59:09 EDT

  None (edit)
Description Greg Nichols 2010-08-23 14:20:46 EDT
Description of problem:

The reboot test prompts the user before rebooting the system.   It marks the start time of the reboot before issuing this prompt, so the time spent waiting at the prompt is counted as part of the reboot time, which can cause test failures.

The reboot test should mark the start time after the user has responded to the prompt.

Version-Release number of selected component (if applicable):

v7 1.2 R19
Comment 1 Greg Nichols 2010-08-23 15:26:44 EDT
Created attachment 440468 [details]
reboot test patch changing reboot start time to follow prompt.
Comment 3 chen yuwen 2010-09-10 04:24:36 EDT
reproduced in v7-1.2-14 and verified in v7-1.2-23.
Comment 5 errata-xmlrpc 2010-09-20 08:15:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0702.html
Comment 6 Jaromir Hradilek 2010-09-21 07:30:54 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The reboot test marks the start time of a reboot after the user has responded to the prompt.

Note You need to log in before you can comment on or make changes to this bug.